#
# spec file for package perl-XML-RegExp (Version 0.03)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-XML-RegExp
Copyright:    GPL
Group:        Development/Libraries/Perl
Provides:     perl-XML-RegExp
Url:          ftp.cpan.org    
Autoreqprov:  on
Summary:      Regular expressions for XML tokens
Version:      0.03
Release:      29
Source:       XML-RegExp-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-root

%description
This package contains regular expressions for the following XML tokens:
BaseChar, Ideographic, Letter, Digit, Extender, CombiningChar, NameChar,
EntityRef, CharRef, Reference, Name, NmToken, and AttValue.

Authors:
--------
    Enno Derksen <enno@att.com>

SuSE series: perl

%prep
%setup -n XML-RegExp-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-XML-RegExp
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/XML/RegExp
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_sitearch}/auto/XML/RegExp
%{perl_sitearch}/../XML/RegExp.pm
%{_mandir}/man3/*
/var/adm/perl-modules/perl-XML-RegExp

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-XML-RegExp
* Wed Aug 15 2001 - rvasice@suse.cz
- initial package release (version 0.03)
